Help with loading 1:1 (SoftChip) and IOS versions

Discussion in 'Wii - Hacking' started by Logan, Dec 10, 2008.

Dec 10, 2008
  1. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    Hey guys, I'm a little stuck here. [​IMG]

    Here's what I have:

    - I already installed the Homebrew Channel using the Twilight Hack a few months ago
    - I'm not sure what version Wii software/firmware I'm running, but I think I may have updated back in October/November.
    - I have a 1:1 backup of Sonic Unleashed as my test subject

    When I boot SoftChip, it tells me that it uses default IOS36 which doesn't load backups. I tried loading IOS37, which it loaded. And it now says [+] IOS 37 Loaded. Then it says on the next line Loading Game... and that is as far as I get.

    I admit to being a bit confused about the relation between the IOS versions (like IOS37 and IOS249) and the Wii software version (like 3.2, 3.3, 3.4).

    So I guess my question(s) are thus:

    - How can I find out what version I am running?
    - What do I need to do first to achieve what I mean to achieve!? Which is use SoftChip to play 1:1 backups!?

    Thank you very much for your help in advance [​IMG]
     
  2. smash_brew

    Member smash_brew I may or may not have fallen

    Joined:
    Oct 8, 2008
    Messages:
    708
    Country:
    United States
    Did you install a cIOS? You need to have one installed to use softchip (or any other backup loading method). Look for waninkoko's cios36 rev7. To find out what firmware you have go into the wii system settings. top right hand corner will tell you what version you have.
     
  3. bebs

    Member bebs GBAtemp Regular

    Joined:
    Dec 4, 2008
    Messages:
    216
    Country:
    try to select IOS 249, it almost works for a lot of games
     
  4. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    Hey guys thanks for the replies. I have version 3.3E. I don't believe I have installed a custom IOS no. :S

    EDIT: I've been following this guide:

    http://gbatemp.net/index.php?showtopic=118...p;#entry1583601

    And I'm at this point:

    +Load Wad Manager in Homebrew Channel and install IOS16-64-v257-prod.wad
    Yes, even if you have received errors trying to install other wads this should still work.

    Where I get an error message "ERROR! (RET = -1)"
     
  5. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    yea, you need a custom IOS,

    try one or many of these three main ones:
    -WiiPower's modification of WiiGator's cIOSrev7
    -QLeap's patchmii clone korean disc edition of cIOSrev7 (note: won't be able to install wads afterwards)
    -Waninkoko's cIOSrev7

    those are the 3 main ones at this point.
    waninkoko's is the standard benchmark for cIOS, but WiiPower's and QLeap's have some nice features.

    I use waninkoko's cuz I'm regularly installing/uninstalling wads and don't use the launchers, but my gf's wii I keep QLeap's on there for her to have maximum launcher-ability.
     
  6. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    Thanks noobwarrior I've got waninkoko's cIOS. Before I run it though, am I not required to downgrade from 3.3E? Cheers [​IMG]
     
  7. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    if you just use my pack, it has wanin's cIOS in it in wad form, and you don't have to downgrade....just skip wads 1-3.

    but you can always downgrade if you'd like.
     
  8. smash_brew

    Member smash_brew I may or may not have fallen

    Joined:
    Oct 8, 2008
    Messages:
    708
    Country:
    United States
    It sounds like you have the October 23rd shop channel update. This is also referred to as v 3.3.2. Use a_running_pir8's fix and then you should be able to install the cIOS. Once that's done you should be all set.
     
  9. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    I'll take a look at this fix, thanks [​IMG]
     
  10. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    my link is dead, eh? meh...I'll check later.
     
  11. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    No no, I insist, check it now [​IMG] [​IMG] Would love to use your guide [​IMG]
     
  12. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    worked fine for me....dunno waht to tell ya.
     
  13. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    I follow it through and choose the free option, type the captcha code in and then it just waits and waits until gateway timeout error page [​IMG]

    EDIT: Ok got the download working. For some reason, FileFactory was just having a pissy fit.

    Cheers [​IMG]
     
  14. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    Grr. This is just irritating now! I cannot get Wad Manager to work properly. It loads fine. I press A and it comes up with:

    >> Select source device: Wii SD Slot

    I press A and it then goes:

    [+] initiliazing libfat, please wait... OK!
    [+] Retrieving device contents, please wait... ERROR! (ret = -1)

    Press any button to restart...

    Any ideas please peeps?
     
  15. noobwarrior7

    Member noobwarrior7 GBAtemp Advanced Maniac

    Joined:
    Aug 2, 2008
    Messages:
    1,594
    Location:
    USA
    Country:
    United States
    you either:
    -dont have a "wad" folder in the root
    -have a poorly formatted sd card
    -have a GC/USB device plugged in


    hopefully not:
    -your sd reader is defective

    PS: some versions of wad manager do not yet support SDhc, if you're trying to use that. (only official 1.3 definitely enables sdhc)
     
  16. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    Such an idiot. You're totally right. I tried a different SD Card and all is good now.

    Well, I say good...just tried loading Sonic Unleashed with SoftChip and it loaded ok as far as SoftChip is concerned, but then came up with a 'The Game Disc could not be read' screen. I'm guessing that's probably more to do with the type of DVDR I used though right?

    Thanks enormously for your help with this noob [​IMG]
     
  17. bebs

    Member bebs GBAtemp Regular

    Joined:
    Dec 4, 2008
    Messages:
    216
    Country:
    have you patched your backup? cause they don't work on softchip.
    what dvd did you use? you can try on wiigator's BL it works
     
  18. smash_brew

    Member smash_brew I may or may not have fallen

    Joined:
    Oct 8, 2008
    Messages:
    708
    Country:
    United States
    He already said that he's using a 1:1 backup. Softchip and .3 gamma have the same compatibility. Sounds like a burn/media issue. Use good quality dvd-r's. If you use +r you have to change the booktype to dvd-rom. Verbatim and Sony have worked very well for me.
     
  19. Logan
    OP

    Member Logan GBAtemp Advanced Fan

    Joined:
    Nov 21, 2003
    Messages:
    599
    Location:
    Northampton, UK
    Country:
    United Kingdom
    No I didn't patch the backup. I didn't realise. No problem will see if that works.

    I'm not sure, but it may have been a DVD+R. Unfortunately there's no ID on the disc itself. I'm burning a DVD-R though to try eliminate that as the cause.

    I've tried the three different loaders that Noobs guide installs and they all couldn't read the disc, with Wiigator specifically saying 'DVD Identification Failed'.

    EDIT: Cheers Smash, I'm just burning to a Verbatim DVD-R now [​IMG]

    Posts merged

    Confirmed working! Was a media issue [​IMG] Thanks to everyone for the help [​IMG] And MERRY CHRISTMAS [​IMG]
     

Share This Page